﻿@model EnergyMission.Domain.Entities.ClientAdministratorEntity
@using EnergyMission
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}
@using (Html.BeginForm("Creates", "ClientAdministrators", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="left">




        <div id="viewmodel">
            @*<label class="name">  People</label>
            <div class="type-contry">
                @Html.TextBoxFor(model => model.confname)
                @*<input type="text" name="name" value="" placeholder="" />*@
                @*<div style="position:relative;">
                    <div class="error-msg">
                        <span class="cross-icon eql_height "></span>
                        <span class="error"> @Html.ValidationMessageFor(tt => tt.confname, "", new { @class = "error-message eql_height" })</span>
                    </div>
                </div>*@
         
            <div class="clearfix"></div>
            <label class="name">Select Person </label>
            <div style="position:relative;">
    
                @Html.DevExpress().ComboBoxFor(x => x.PersonId,
  settings =>
  {
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
      settings.Properties.DropDownStyle = DropDownStyle.DropDown;

      //settings.Properties.ClientSideEvents.SelectedIndexChanged
      //                = "onComboBoxSelectedIndexChanged";

      settings.Name = "PersonId";
      settings.Properties.FilterMinLength = 1;
      settings.Properties.CallbackPageSize = 5;
      settings.Properties.DropDownRows = 10;
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
      settings.Properties.ClientSideEvents.BeginCallback = "function(s, e) { e.customArgs['PersonId'] = PersonId.GetValue(); }";
      settings.Width = 180;
      settings.Properties.TextField = "Persons";
      settings.Properties.ValueField = "PersonId";
      settings.Properties.DropDownButton.Visible = true;
      settings.Properties.ValueType = typeof(long);
  }).BindList(cs.GetPerson(ViewBag.pesonal)
).GetHtml()
                @*@Html.DropDownListFor(model => model.PersonId, @ViewBag.pesonal as SelectList,"Select", new { @class = "select-btn" })*@
                @*<select class="my-dropdown">
                <option>option1</option>
                <option>option2</option>
                <option>option3</option>
            </select>*@
                <div class="error-msg">
                    <span class="cross-icon eql_height "></span>
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.personname, "", new { @class = "error-message eql_height" })</span>
                </div>
                </div>
            </div>

        

        <input class="save button" name="button" type="submit" value="Assign Admin" />
        <input class="done button" name="button" onclick="cancelall();" type="button" value="Done" />
    </div>
    <div class="right" style="margin-top:25px; color:red;">

            <span class="error " > <label id="lblval" class="error-message eql_height"></label> </span>
    </div>
}